EasyMockProperties
Date: 2015-09-17

org.easymock.internal

## Class EasyMockProperties

- java.lang.Object
- - org.easymock.internal.EasyMockProperties

-     public final class EasyMockProperties
      extends java.lang.Object

  Contains properties used by EasyMock to change its default behavior. The loading order is (any step being able to overload the properties of the previous step):
  - easymock.properties in classpath default package
  - explicit call to setProperty

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EasyMockProperties` | `getInstance()`
    `java.lang.String` | `getProperty(java.lang.String key)` Searches for the property with the specified key.
    `java.lang.String` | `getProperty(java.lang.String key, java.lang.String defaultValue)` Searches for the property with the specified key.
    `java.lang.String` | `setProperty(java.lang.String key, java.lang.String value)` Add a value referenced by the provided key.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static EasyMockProperties getInstance()

    - #### getProperty

          public java.lang.String getProperty(java.lang.String key,
                                     java.lang.String defaultValue)

      Searches for the property with the specified key. If the key is not found, return the default value.
      Parameters:
        `key` - key leading to the property
        `defaultValue` - the value to be returned if the key isn't found
      Returns:
        the value found for the key or the default value

    - #### getProperty

          public java.lang.String getProperty(java.lang.String key)

      Searches for the property with the specified key. Return null if the key is not found.
      Parameters:
        `key` - key leading to the property
      Returns:
        the value found for the key or null

    - #### setProperty

          public java.lang.String setProperty(java.lang.String key,
                                     java.lang.String value)

      Add a value referenced by the provided key. A null value will remove the key
      Parameters:
        `key` - the key of the new property
        `value` - the value corresponding to `key`.
      Returns:
        the property previous value